/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_TEXTMSG                    2
#define  PANEL_INSTR_DESC                 3
#define  PANEL_IDQUERY                    4
#define  PANEL_DECORATION_3               5
#define  PANEL_DECORATION                 6
#define  PANEL_RESET                      7
#define  PANEL_OPEN                       8       /* callback function: openButton */
#define  PANEL_SAVE                       9       /* callback function: saveButton */
#define  PANEL_DISPLAYON                  10
#define  PANEL_FILEPATH                   11
#define  PANEL_TEXTMSG_2                  12
#define  PANEL_INSTRTYPE                  13
#define  PANEL_DECORATION_4               14


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK openButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK saveButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
