/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_TEXTMSG                    2       /* control type: textMsg, callback function: (none) */
#define  PANEL_INSTR_DESC                 3       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    4       /* control type: radioButton, callback function: (none) */
#define  PANEL_DECORATION_4               5       /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_3               6       /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_2               7       /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION                 8       /* control type: deco, callback function: (none) */
#define  PANEL_RESET                      9       /* control type: radioButton, callback function: (none) */
#define  PANEL_START                      10      /* control type: command, callback function: startButton */
#define  PANEL_POWERBAND                  11      /* control type: numeric, callback function: (none) */
#define  PANEL_CHANBAND                   12      /* control type: numeric, callback function: (none) */
#define  PANEL_CENTERFREQ                 13      /* control type: numeric, callback function: (none) */
#define  PANEL_SPAN                       14      /* control type: numeric, callback function: (none) */
#define  PANEL_OCCUPBAND                  15      /* control type: numeric, callback function: (none) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
