/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2009. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_TEXTMSG                    2
#define  PANEL_INSTR_DESC                 3
#define  PANEL_IDQUERY                    4
#define  PANEL_RESET                      5
#define  PANEL_STEP_FRQ                   6
#define  PANEL_STOP_FRQ                   7
#define  PANEL_START_FRQ                  8
#define  PANEL_GRAPH                      9
#define  PANEL_STOP                       10      /* callback function: stopButton */
#define  PANEL_START                      11      /* callback function: startButton */
#define  PANEL_DECORATION                 12
#define  PANEL_CHECKBOX                   13
#define  PANEL_DOMAIN                     14
#define  PANEL_DETECTOR                   15


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
