/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2009. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_TEXTMSG                    2
#define  PANEL_INSTR_DESC                 3
#define  PANEL_IDQUERY                    4
#define  PANEL_DECORATION_2               5
#define  PANEL_DECORATION                 6
#define  PANEL_RESET                      7
#define  PANEL_START                      8       /* callback function: startButton */
#define  PANEL_DISPLAYON                  9
#define  PANEL_STARTFREQ                  10
#define  PANEL_VBW                        11
#define  PANEL_RBW                        12
#define  PANEL_REFLEVEL                   13
#define  PANEL_CENTERFREQ                 14
#define  PANEL_SPAN                       15
#define  PANEL_STOPFREQ                   16
#define  PANEL_MARGIN                     17
#define  PANEL_TIMEOUT                    18
#define  PANEL_PEAKNUM                    19
#define  PANEL_DETECTOR                   20
#define  PANEL_TEXTMSG_2                  21
#define  PANEL_TABLE                      22
#define  PANEL_DECORATION_3               23


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
