/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_TEXTMSG                    2       /* control type: textMsg, callback function: (none) */
#define  PANEL_INSTR_DESC                 3       /* control type: string, callback function: (none) */
#define  PANEL_IDQUERY                    4       /* control type: radioButton, callback function: (none) */
#define  PANEL_DECORATION                 5       /* control type: deco, callback function: (none) */
#define  PANEL_RESET                      6       /* control type: radioButton, callback function: (none) */
#define  PANEL_GRAPH                      7       /* control type: graph, callback function: (none) */
#define  PANEL_START                      8       /* control type: command, callback function: startButton */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
