/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2008. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: panelCallback */
#define  PANEL_RESOURCE_STRING            2
#define  PANEL_FREQ_NUMERIC               3
#define  PANEL_LEVEL_NUMERIC              4
#define  PANEL_TIMER                      5       /* callback function: timerCallback */
#define  PANEL_DECORATION                 6
#define  PANEL_TRIGGER_RING               7
#define  PANEL_SWEEP_RING                 8
#define  PANEL_STOP_BUTTON                9       /* callback function: stopButtonCallback */
#define  PANEL_START_BUTTON               10      /* callback function: startButtonCallback */
#define  PANEL_DECORATION_2               11
#define  PANEL_DISPLAY_CHECKBOX           12
#define  PANEL_RESULTS_TABLE              13
#define  PANEL_DECORATION_3               14
#define  PANEL_PICTURE                    15
#define  PANEL_RESET_CHECKBOX             16


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK panelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButtonCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButtonCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK timerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
